Package: io.vertx.groovy.servicediscovery.spi

## [Groovy] Class ServiceDiscoveryBridge

- io.vertx.groovy.servicediscovery.spi.ServiceDiscoveryBridge

- Service Discovery bridge allows integrate other discovery technologies with the Vert.x service discovery. It maps entries from another technology to a and maps to a publication in this other technology. Each bridge can decide which services needs to be imported and exported. It can also implement only on way.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ServiceDiscoveryBridge (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getDelegate()`
    `void` | `start(Vertx vertx, ServicePublisher publisher, java.util.Map<java.lang.String, java.lang.Object> configuration, Future<java.lang.Void> future)` Starts the bridge.
    `void` | `stop(Vertx vertx, ServicePublisher publisher, Future<java.lang.Void> future)` Stops the bridge.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ServiceDiscoveryBridge(java.lang.Object delegate)

  - ### Method Detail

    - #### java.lang.Object getDelegate()

    - #### void start(Vertx vertx, ServicePublisher publisher, java.util.Map<java.lang.String, java.lang.Object> configuration, Future<java.lang.Void> future)

      Starts the bridge.

      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `configuration` - the bridge configuration if any
        `future` - a future on which the bridge must report the completion of the starting

    - #### void stop(Vertx vertx, ServicePublisher publisher, Future<java.lang.Void> future)

      Stops the bridge.

      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `future` - the future on which the bridge must report the completion of the stopping process